WarPlugin (Gradle API 7.6.3)

Package org.gradle.api.plugins

## Class WarPlugin

- java.lang.Object
- - org.gradle.api.plugins.WarPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      public class WarPlugin
      extends java.lang.Object
      implements Plugin<Project>

  A `Plugin` which extends the `JavaPlugin` to add tasks which assemble a web application into a WAR file.

  See Also:
    WAR plugin reference

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PROVIDED_COMPILE_CONFIGURATION_NAME` |
    `static java.lang.String` | `PROVIDED_RUNTIME_CONFIGURATION_NAME` |
    `static java.lang.String` | `WAR_TASK_NAME` |
    `static java.lang.String` | `WEB_APP_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WarPlugin​(ObjectFactory objectFactory, org.gradle.api.internal.attributes.ImmutableAttributesFactory attributesFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.
    `void` | `configureConfigurations​(ConfigurationContainer configurationContainer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDED_COMPILE_CONFIGURATION_NAME

          public static final java.lang.String PROVIDED_COMPILE_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### PROVIDED_RUNTIME_CONFIGURATION_NAME

          public static final java.lang.String PROVIDED_RUNTIME_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### WAR_TASK_NAME

          public static final java.lang.String WAR_TASK_NAME

      See Also:
        Constant Field Values

    - #### WEB_APP_GROUP

          public static final java.lang.String WEB_APP_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WarPlugin

          @Inject
          public WarPlugin​(ObjectFactory objectFactory,
                           org.gradle.api.internal.attributes.ImmutableAttributesFactory attributesFactory)

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object

    - #### configureConfigurations

          public void configureConfigurations​(ConfigurationContainer configurationContainer)